Subject: <draft-hinden-6man-rfc2460bis-01.txt>

From: Bob Hinden <[email-masked]>
Date: Tue, 11 Aug 2015 13:21:43 -0700

I published the -01 version of the RFC2460bis draft.  See links below.

The purpose of this version of the draft is to update the document to point to the current specifications of the IPv6 Flow Label field as defined in [RFC6437]  and the Traffic Class as defined in [RFC2474] and [RFC3168].

This handles the update made to RFC2460 by RFC6437 "IPv6 Flow Label Specification”.  While [RFC2474] and [RFC3168] didn’t formally update RFC2460, it seemed appropriate to also include those changes as well.

You can see the diff from the previous version at:

  https://tools.ietf.org/rfcdiff?url2=draft-hinden-6man-rfc2460bis-01.txt

Please review this draft to verify that the changes are appropriate.

This is part of the project to move the core IPv6 specifications to Internet Standard.

Regards,
Bob

p.s.  The next draft (-02) will deal with the open Errata on RFC2460.

> A new version of I-D, draft-hinden-6man-rfc2460bis-01.txt
> has been successfully submitted by Robert M. Hinden and posted to the
> IETF repository.
> 
> Name:		draft-hinden-6man-rfc2460bis
> Revision:	01
> Title:		Internet Protocol, Version 6 (IPv6) Specification
> Document date:	2015-08-11
> Group:		Individual Submission
> Pages:		34
> URL:            https://www.ietf.org/internet-drafts/draft-hinden-6man-rfc2460bis-01.txt
> Status:         https://datatracker.ietf.org/doc/draft-hinden-6man-rfc2460bis/
> Htmlized:       https://tools.ietf.org/html/draft-hinden-6man-rfc2460bis-01
> Diff:           https://www.ietf.org/rfcdiff?url2=draft-hinden-6man-rfc2460bis-01
> 
> Abstract:
>   This document specifies version 6 of the Internet Protocol (IPv6),
>   also sometimes referred to as IP Next Generation or IPng.  It
>   obsoletes RFC2460
> 
>

---

From: "Bless, Roland (TM)" <[email-masked]>
Date: Wed, 12 Aug 2015 14:27:21 +0200

Hi Bob,

Am 11.08.2015 um 22:21 schrieb Bob Hinden:
> The purpose of this version of the draft is to update the document
> to point to the current specifications of the IPv6 Flow Label field
> as defined in [RFC6437]  and the Traffic Class as defined in
> [RFC2474] and [RFC3168].

All three are still at Proposed Standard level, so they are a
"Down-Ref". Does this need extra handling later?

> https://tools.ietf.org/rfcdiff?url2=draft-hinden-6man-rfc2460bis-01.txt
Please review this draft to verify that the changes are
> appropriate.

Just a small typo here:
      o  Flow Labeling Capability

         A new capability is added to enable the labeling of sequences
         of packets for which the sender requests to be treated in the
- -        network a single flow.
- -------
+        network as a single flow.

For section 7 I suggest to have additional references directly after
the corresponding keywords:
   network for traffic management such as Differentiated Services
   [RFC2474] and Explicit Congestion Notification [RFC3168].  The value
   of the Traffic Class ...

RFC2460 also contained default values for those fields. I guess it's
good to only refer to the corresponding RFCs now.

Regards,
 Roland

---

From: Brian Haberman <[email-masked]>
Date: Wed, 12 Aug 2015 09:08:42 -0400

Hi Roland,

> "Down-Ref". Does this need extra handling later?

Yes, there is a process to follow.  The down-refs should be called out
in the shepherd writeup when the draft is sent to the IESG for
publication.  At that point, the IETF Last Call will explicitly mention
the addition of those RFCs to the down-ref registry.

If people have an issue with that addition, that is a valid Last Call
comment.

Regards,
Brian

> -        network a single flow.
> -------
> --------------------------------------------------------------------
> IETF IPv6 working group mailing list
> [email-masked]
> Administrative Requests: https://www.ietf.org/mailman/listinfo/ipv6
> --------------------------------------------------------------------
>

---

From: Bob Hinden <[email-masked]>
Date: Wed, 12 Aug 2015 07:52:44 -0700

Roland,

Thanks for review the new draft.

Comments inline.

Bob

> On Aug 12, 2015, at 5:27 AM, Bless, Roland (TM) <[email-masked]> wrote:
> 
> Signed PGP part
> Hi Bob,
> 

Yes, as Brian described.

> +        network as a single flow.

I will fix in next draft.

>    of the Traffic Class …

I didn’t think that was necessary as there are references in the next paragraph, but I don’t feel very strongly about it and am OK to make this change.

> good to only refer to the corresponding RFCs now.

Correct.